-- ----------------------------------------------------------------------------
function goalCheckFrontCar:shouldStart()

	return (goalChangeTire:isFinished() and (not goalUseWater:isFinished()))

end
-- ----------------------------------------------------------------------------
function goalCheckFrontCar:onLayoutShow(layout)

	if (self:isStarted() and layout == layoutWoods1Engine) then
		self:achieved()
	end
	
end
-- ----------------------------------------------------------------------------
function goalCheckFrontCar:shouldFinish()

	if (goalUseWater:isFinished()) then
		self:achieved()
	end

	return Goal.shouldFinish(self)

end